<?php
// Group Creation Tool CONFIG WIZARD
//
// $Id: groupcreationtool.inc.php 2010-08-01 Troy Lea aka Box293 $

include_once(dirname(__FILE__).'/../configwizardhelper.inc.php');

// run the initialization function
group_creation_tool_configwizard_init();

function group_creation_tool_configwizard_init(){
	
	$name="groupcreationtool";
	
	$args=array(
		CONFIGWIZARD_NAME => $name,
		CONFIGWIZARD_TYPE => CONFIGWIZARD_TYPE_MONITORING,
		CONFIGWIZARD_DESCRIPTION => "This tool lets you create a sequence of groups.",
		CONFIGWIZARD_DISPLAYTITLE => "Group Creation Tool",
		CONFIGWIZARD_FUNCTION => "groupcreationtool_configwizard_func",
		CONFIGWIZARD_PREVIEWIMAGE => "scripting.png",
		CONFIGWIZARD_VERSION => "2010-08-01",
		CONFIGWIZARD_AUTHOR => "Troy Lea aka Box293",
		);
		
	register_configwizard($name,$args);
	}



function groupcreationtool_configwizard_func($mode="",$inargs=null,&$outargs,&$result){

	$wizard_name="groupcreationtool";

	// initialize return code and output
	$result=0;
	$output="";
	
	// initialize output args - pass back the same data we got
	$outargs[CONFIGWIZARD_PASSBACK_DATA]=$inargs;


	switch($mode){
		case CONFIGWIZARD_MODE_GETSTAGE1HTML:
			
			$groupargs=grab_array_var($inargs,"groupargs","");
	
	//<input type="hidden" name="groupargs" value="'.$groupargs.'">
			
	
	$output='
			
	<style type="text/css">
	input.button01 {
	color: #336699; background: #fff;
	font-size: 1em;
	font-weight:bold;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	border:0px
	}
	input.button02 {
	color: #5599BB; background: #fff;
	font-size: 1em;
	font-weight:bold;
	font-family: Verdana, Arial, Helvetica, sans-serif;
	border:0px
	}

	</style>
	
	<script type="text/javascript">
	function toggleMe(a){
		var e=document.getElementById(a);
		if(!e)return true;
		if(e.style.display=="none"){
			e.style.display="block"
		}
		else {
			e.style.display="none"
		}
	return true;
	}
	</script>


	<div class="sectionTitle">Group Creation Tool</div>
	
	<p><div>
	<input type="button" class="button01" onclick="return toggleMe(\'para1\')" value="Overview">
	</div>
	<div id="para1" style="display:none">
	<br>
	This tool lets you create a sequence of groups.<br><br>

	Handy for implementing a naming standard you already have in place.<br><br>

	Lets say you have 200 clients. Each client has a unique number from 1 - 200.<br>
	You can create 200 groups using this wizard.<br><br>
	<i>Example:</i><br>
	<table border="0" cellspacing="10" bordercolor="white">
	<tr><td>client_1_windows_servers</tr></td>
	<tr><td>client_2_windows_servers</tr></td>
	<tr><td>...and so on to ...</tr></td>
	<tr><td>client_199_windows_servers</tr></td>
	<tr><td>client_200_windows_servers</tr></td>
	</table>
	<br>
	This task alone would take a least 1000 mouse clicks and lots of copying/pasting!!!<br><br>

	</div></p>
	
	
	<p><div>
	<input type="button" class="button01" onclick="return toggleMe(\'para2\')" value="Characters">
	</div>
	<div id="para2" style="display:none">
	<br>
	<b>CasE SenSATiViTY</b><br><br>
	All characters in Nagios XI are case sensative.<br><br>
	<b>This</b> and <b>this</b> and <b>THIS</b> and <b>thiS</b> are completely different.<br><br>
	Existing built in objects in Nagios XI use all lowercase characters.<br><br>
	You don\'t need to follow this standard, nothing will break if you use your own combination.<br><br><br>

	<b>Allowed Characters</b><br>
	<table border="0" cellspacing="10" bordercolor="white">
	<tr><td>A - Z, a - z, and 0 - 9</tr></td>
	<tr><td>- _ [ ] / : .</tr></td>
	</table>

	</div></p>
	
	<div class="sectionTitle">Group Type</div>
	<p><div>
	<input type="button" class="button01" onclick="return toggleMe(\'para3\')" value="More Info">
	</div>
	<div id="para3" style="display:none">
	<br>
	There are three different groups you can create in Nagios XI:<br><br>
	Host<br>
	Service<br>
	Contact<br><br>
	<i>Contact group creation is currently <b>NOT</b> enabled in this wizard</i><br><br>
	</div></p>
	
	<p>
	What type of group would you like to create? <br>

	<table cellspacing="2">
	<tr><td><input type="radio" name="groupargs[grouptype]" value="host">Host</td></tr>
	<tr><td><input type="radio" name="groupargs[grouptype]" value="service">Service</td></tr>
	<!--<tr><td><input type="radio" name="groupargs[grouptype]" value="contact">Contact</td></tr>-->
	</table>

	</p>
	
	
	<div class="sectionTitle"># Of Fields</div>
	<p><div>
	<input type="button" class="button01" onclick="return toggleMe(\'para4\')" value="More Info">
	</div>
	<div id="para4" style="display:none">
	<br>
	These are the bits of text that go between each seperator.<br><br>
	You can choose between 2 to 10 fields for your group name.<br><br>
	
	<i>Example:</i><br>
	<table border="0" cellspacing="10" bordercolor="white" cols=2>
	<tr><td rowspan=4 align=center><font color="#000099">client</font>_<font color="#FF6600">1</font>_<font color="#CC6699">windows</font>_<font color="#CC9966">servers</font></td><td>Field 1 = <font color="#000099">client</font></td></tr>
	<tr><td>Field 2 = <font color="#FF6600">1</font></td></tr>
	<tr><td>Field 3 = <font color="#CC6699">windows</font></td></tr>
	<tr><td>Field 4 = <font color="#CC9966">servers</font></td></tr>
	</table>	
		
	</div></p>
	
	<p>
	How many fields would you like to use?<br><br>
	Example: 4 = this_is_four_fields<br>

	<table cellspacing="10">
	<tr>
	<td><input type="radio" name="groupargs[numberoffields]" value="2">2</td>
	<td><input type="radio" name="groupargs[numberoffields]" value="3">3</td>
	<td><input type="radio" name="groupargs[numberoffields]" value="4">4</td>
	</tr>
	<tr>
	<td><input type="radio" name="groupargs[numberoffields]" value="5">5</td>
	<td><input type="radio" name="groupargs[numberoffields]" value="6">6</td>
	<td><input type="radio" name="groupargs[numberoffields]" value="7">7</td>
	</tr>
	<tr>
	<td><input type="radio" name="groupargs[numberoffields]" value="8">8</td>
	<td><input type="radio" name="groupargs[numberoffields]" value="9">9</td>
	<td><input type="radio" name="groupargs[numberoffields]" value="10">10</td>
	</tr>
	</table>
	</p>
	
	
	<div class="sectionTitle">The Seperator</div>
	<p><div>
	<input type="button" class="button01" onclick="return toggleMe(\'para5\')" value="More Info">
	</div>
	<div id="para5" style="display:none">
	<br>
	Your group name (and fields) can contain spaces, this is not a problem.<br><br>
	
	You have the option of specifing what will appear between each field.<br><br>
	
	Instead of a space you could use an _<br><br>
	<i>Example:</i><br>
	<table border="0" cellspacing="10" bordercolor="white">
	<tr><td>this_group_name_is_not_that_long</tr></td>
	</table>

	You can use whatever you want.<br><br>
	
	The seperator is not restricted to a single character / digit.<br><br>
	
	It can be as long as you like with any combination of characters / digits.<br><br>
	
	You can choose up to 9 seperators in your group name.<br><br>
	
	You can combine fields by not using a seperator.<br><br>
	<i>Example:</i><br>
	<table border="0" cellspacing="10" bordercolor="white">
	<tr><td>Using - instead of _</td><td>this-group-name-is-not-that-long</tr></td>
	<tr><td>Using space and ---</td><td>this group---name---is not that---long</tr></td>
	<tr><td>A combo of _ and -<td>this_group-name_is_not-that_long</tr></td>
	<tr><td>Mix it up: --- { } _ @+@</td><td>this---group{name}is_not@+@that_long</tr></td>
	<tr><td>Combining fields<td>thisgroup_nameisnot_thatlong</tr></td>
	</table>
	<br>
	Any allowed character combination can be used as the seperator, the choice is yours.<br><br>
	
	</div></p>
	
	<p>
	The number of seperators is always 1 less than the number of fields you have chosen.<br><br>
	
	You NEED to <b>select</b> Yes or No for this number of seperators.<br><br>
	
	You NEED to <b>type</b> the value of each seperator <i>i.e. spacebar _ -</i><br>
	</p>
			
	';
	
	for($seperatorcounter=1;$seperatorcounter<10;$seperatorcounter++){
		if ($seperatorcounter==1)
			$output.='<table border="1" cellpadding="10" cellspacing="5" bordercolor="white">
			<tr>';
		
		if ($seperatorcounter==4)
			$output.='<tr>';
		
		if ($seperatorcounter==7)
			$output.='<tr>';
		
		$output.='<td>Seperator '.$seperatorcounter.':<br><br>
		
		Do you want to use the seperator?<br>
		
		<table cellspacing="5">
		<tr>
		<td><input type="radio" name="groupargs[seperatorchoice]['.$seperatorcounter.']" value="Yes">Yes</td>
		<td><input type="radio" name="groupargs[seperatorchoice]['.$seperatorcounter.']" value="No">No</td></tr>
		</table>
		<br>

		If Yes, please type the seperator value<br>

		<table cellspacing="10">
		<tr>
		<td>Seperator '.$seperatorcounter.':</td>
	
		<td><input type="text" size="10" name="groupargs[seperatorvalue]['.$seperatorcounter.']" id="groupargs[seperatorvalue]['.$seperatorcounter.']" value="" class="textfield"/></td>
		</td>
		</tr>
		</table>';
		
		if ($seperatorcounter==3)
			$output.='</tr>';
		
		if ($seperatorcounter==6)
			$output.='</tr>';
		
		if ($seperatorcounter==9)
			$output.='</tr>
			</table>';
	}
	
	$output.='
	
	
	<div class="sectionTitle">The Enumerator Values</div>
	<p><div>
	<input type="button" class="button01" onclick="return toggleMe(\'para6\')" value="More Info">
	</div>
	<div id="para6" style="display:none">
	<br>
	The enumerator is the range of values used to create your sequence of groups.<br><br>
	You need to specify a start and finish value for the enumerator.<br><br>
		
	<i>Example:</i><br>
	<table border="0" cellspacing="10" bordercolor="white">
	<tr><td>Start Value = <b>1</b></td><td>Finish Value = <b>200</b></td></tr>
	<tr><td colspan="2" align="center">client_1_windows_servers</tr></td>
	<tr><td colspan="2" align="center">client_2_windows_servers</tr></td>
	<tr><td colspan="2" align="center">...and so on to ...</tr></td>
	<tr><td colspan="2" align="center">client_200_windows_servers</tr></td>
	</table>
	<i><b>NOTE</b>: Start and finish values have only been tested with numbers at this point in time.</i><br><br>
	<!--<i>Needs testing and confirmation</i> Start and finish values can be numbers or single alphabet characters A-Z or a-z.<br>-->
	<!--<i>Needs testing and confirmation</i> If you chose the alphabet then x has a lower value than X.<br>-->
	<!--<i>Needs testing and confirmation</i> Create items x-z then A-X<br>-->
	Start value needs to be a smaller value than the finish value.<br><br>
	</div></p>
	<br>

	Please enter the start and finish values you wish to use for the enumerator.<br><br>
	
	<!--Start and finish values can be numbers or single alphabet characters A-Z or a-z<br><br>-->
	
	
	<table cellspacing="2">
	<tr>
	<td>Enumerator Start Value:</td>
	<td><input type="text" size="10" name="groupargs[enumeratorstart]" id="groupargs[enumeratorstart]" value="" class="textfield"/></td>
	</tr>
	<tr>
	<td>Enumerator Finish Value:</td>
	<td><input type="text" size="10" name="groupargs[enumeratorfinish]" id="groupargs[enumeratorfinish]" value="" class="textfield"/></td>
	</tr>
	</table>
	<br>

	
	<div class="sectionTitle">The Enumerator Location</div>
	<p><div>
	<input type="button" class="button01" onclick="return toggleMe(\'para7\')" value="More Info">
	</div>
	<div id="para7" style="display:none">
	<br>
	You need to define which field the enumerator will be placed in.<br><br>
	<i>Example:</i><br>
	<table border="0" cellspacing="10" bordercolor="white">
	<tr><td>In <font color="#FF6600">Field 2</font>:</td><td>client_<font color="#FF6600">1</font>_windows_servers</tr></td>
	<tr><td>In <font color="#CC9966">Field 4</font>:</td><td>client_windows_servers_<font color="#CC9966">2</font></tr></td>
	<tr><td>In <font color="#CC6699">Field 3</font>:</td><td>client_windows<font color="#CC6699">200</font>servers</tr></td>
	</table>
	<br>
	You must select a field that is < or = to the number of fields you have chosen to use.<br><br>
	
	<i>Example:</i><br>
	You selected 6 fields, this means the enumerator can go in field 1, 2, 3, 4, 5 or 6.<br>
	</div>
	<br>
	
	What field do you wish to use the enumerator in?<br>
	
	<table cellspacing="10">
	<tr>
	<td><input type="radio" name="groupargs[enumeratorfield]" value="1">1</td>
	<td><input type="radio" name="groupargs[enumeratorfield]" value="2">2</td>
	<td><input type="radio" name="groupargs[enumeratorfield]" value="3">3</td>
	</tr>
	<tr>
	<td><input type="radio" name="groupargs[enumeratorfield]" value="4">4</td>
	<td><input type="radio" name="groupargs[enumeratorfield]" value="5">5</td>
	<td><input type="radio" name="groupargs[enumeratorfield]" value="6">6</td>
	</tr>
	<tr>
	<td><input type="radio" name="groupargs[enumeratorfield]" value="7">7</td>
	<td><input type="radio" name="groupargs[enumeratorfield]" value="8">8</td>
	<td><input type="radio" name="groupargs[enumeratorfield]" value="9">9</td>
	</tr>
	<tr>
	<td colspan="3" align="center"><input type="radio" name="groupargs[enumeratorfield]" value="10">10</td>
	</tr>
	</table>
		
	</p>
	
	
	<div class="sectionTitle">Field Values</div>
	<p>
	Please enter the values you would like to use in each field you have nominated to use.<br><br>
	
	You do NOT need to enter a value in the field you have assigned the enumerator to.<br>
		
	';
	
	for($fieldcounter=1;$fieldcounter<=10;$fieldcounter++){
		
		if ($fieldcounter==1)
			$output.='<table cellspacing="10">';
		
		$output.='<tr>
		<td>Field '.$fieldcounter.':</td>
		<td><input type="text" size="30" name="groupargs[field]['.$fieldcounter.']" id="groupargs[field]['.$fieldcounter.']" value="" class="textfield"/></td>
		</tr>';
		
		if ($fieldcounter==10) {
			$output.='</tr>
			</table>';
			}
	}
	
	$output.='
	</p>
	<br>
	<!--<input type="text" size="10" name="testing" id="testing" value="'.$testing.'" class="textfield" /><br class="nobr" />-->
	
			';
			break;
			
		case CONFIGWIZARD_MODE_VALIDATESTAGE1DATA:
		
			// get variables that were passed to us
			$groupargs=grab_array_var($inargs,"groupargs","");
			//$testing=grab_array_var($inargs,"testing","");
						
			// check for errors
			$errors=0;
			$errmsg=array();
			if(have_value($groupargs[grouptype])==false)
				$errmsg[$errors++]="You need to specify the group type you wish to create";

			if(have_value($groupargs[numberoffields])==false)
				$errmsg[$errors++]="You need to specify the number of fields you wish to use";

			for($checkseperatorcounter=1;$checkseperatorcounter<$groupargs[numberoffields];$checkseperatorcounter++){
				if(have_value($groupargs[seperatorchoice][$checkseperatorcounter])==false)
					$errmsg[$errors++]="Seperator $checkseperatorcounter needs a Yes or No answer";
				else if ($groupargs[seperatorchoice][$checkseperatorcounter]=="Yes")
					if(have_value($groupargs[seperatorvalue][$checkseperatorcounter])==false)
						$errmsg[$errors++]="Seperator value $checkseperatorcounter is empty";
					else if(preg_match('/[^a-zA-Z0-9 .\:_-]/',($groupargs[seperatorvalue][$checkseperatorcounter])))
						$errmsg[$errors++]="Seperator value $checkseperatorcounter contains invalid characters.";
				}
			
			if(have_value($groupargs[enumeratorstart])==false)
				$errmsg[$errors++]="You need to specify the enumerator Start value";
			else if(preg_match('/[^a-zA-Z0-9]/',($groupargs[enumeratorstart])))
				$errmsg[$errors++]="Enumerator Start value contains invalid characters.";
						
			if(have_value($groupargs[enumeratorfinish])==false)
				$errmsg[$errors++]="You need to specify the enumerator Finish value";
			else if(preg_match('/[^a-zA-Z0-9]/',($groupargs[enumeratorfinish])))
				$errmsg[$errors++]="Enumerator Finish value contains invalid characters.";
			
			if(($groupargs[enumeratorfinish])<($groupargs[enumeratorstart]))
				$errmsg[$errors++]="The enumerator Finish value needs to be greater than the Start value";
	
			if(have_value($groupargs[enumeratorfield])==false)
				$errmsg[$errors++]="You need to specify which field the enumerator will be placed in";
			
			for($checkfieldvaluescounter=1;$checkfieldvaluescounter<=$groupargs[numberoffields];$checkfieldvaluescounter++){
				if($groupargs[enumeratorfield]!=$checkfieldvaluescounter)
					if(have_value($groupargs[field][$checkfieldvaluescounter])==false)
						$errmsg[$errors++]="Field $checkfieldvaluescounter needs a value";
					else if(preg_match('/[^a-zA-Z0-9 .\:_-]/',($groupargs[field][$checkfieldvaluescounter])))
						$errmsg[$errors++]="Field value $checkfieldvaluescounter contains invalid characters.";
				}

			//if(preg_match('/[^a-zA-Z0-9 .\:_-]/',$testing))
			//	$errmsg[$errors++]="Password contains invalid characters.";
	
			if($errors>0){
				$outargs[CONFIGWIZARD_ERROR_MESSAGES]=$errmsg;
				$result=1;
				}
			
			break;
			
		case CONFIGWIZARD_MODE_GETSTAGE2HTML:
		
			// get variables that were passed to us
			$groupargs=grab_array_var($inargs,"groupargs","");
			//$testing=grab_array_var($inargs,"testing","");
			
			//lets create the new group range
			$enumeratorrange=(($groupargs[enumeratorfinish])-($groupargs[enumeratorstart]));
			for($newgroupcounter=$groupargs[enumeratorstart];$newgroupcounter<=$groupargs[enumeratorfinish];$newgroupcounter++){
				
				//starting with the fields
				for($fieldscounter=1;$fieldscounter<=$groupargs[numberoffields];$fieldscounter++){
					
					//checking which field the enumerator goes in
					if (($groupargs[enumeratorfield])==($fieldscounter))
						$newgroup[$newgroupcounter]=$newgroup[$newgroupcounter] . $newgroupcounter;
					else
						$newgroup[$newgroupcounter]=$newgroup[$newgroupcounter] . $groupargs[field][$fieldscounter];
					
					//checking if the seperator is being used (it's one less than the number of fields)
					if ($groupargs[seperatorchoice][$fieldscounter]=="Yes")
						$newgroup[$newgroupcounter]=$newgroup[$newgroupcounter] . $groupargs[seperatorvalue][$fieldscounter];
					}
					
					//lets see the final result
					//print_r($newgroup[$newgroupcounter]);
					//echo "<br>";
				
				}

				$summarygrouptype=$groupargs[grouptype];
									
				if (($enumeratorrange)<10) {
					$summary=$summary . "<table>";
					for($summarycounter=$groupargs[enumeratorstart];$summarycounter<=$groupargs[enumeratorfinish];$summarycounter++){ 
						$summary=$summary . "<tr><td>";
						$summary=$summary . $newgroup[$summarycounter];
						$summary=$summary . "</td></tr>";
						}
					$summary=$summary . "</table>";
					}
				else {
					$summary=$summary . "<table>";
					for($summarycounter=$groupargs[enumeratorstart];$summarycounter<=$groupargs[enumeratorfinish];$summarycounter++){
						if (($summarycounter)<=5) {
							$summary=$summary . "<tr><td>";
							$summary=$summary . $newgroup[$summarycounter];
							$summary=$summary . "</td></tr>";
							}
						}
				
					$summary=$summary . "<tr><td></td><tr>";
					$summary=$summary . "<tr><td>through to ...</td></tr>";
					$summary=$summary . "<tr><td></td></tr>";
					$summary=$summary . "<tr><td></td></tr>";
				
					for($summarycounter=($groupargs[enumeratorfinish]-5);$summarycounter<=$groupargs[enumeratorfinish];$summarycounter++){
						$summary=$summary . "<tr><td>";
						$summary=$summary . $newgroup[$summarycounter];
						$summary=$summary . "</td></tr>";
						}			
									
					$summary=$summary . "</table>";
					}
			
			
			$output='
			<input type="hidden" name="groupargs_serial" value="'.base64_encode(serialize($groupargs)).'">
			<input type="hidden" name="newgroup_serial" value="'.base64_encode(serialize($newgroup)).'">
			
			<!--<input type="hidden" name="testing" value="'.$testing.'"><br>-->
			<input type="hidden" name="summarygrouptype" value="'.$summarygrouptype.'">
			<input type="hidden" name="summary" value="'.$summary.'">
			
			
			<div class="sectionTitle">Group Summary</div>
			This wizard is going to create the following <b>'.$summarygrouptype.'</b> group sequence:<br><br>
			'.$summary.'
			<br><br>
			Click Back if you need start over.<br><br><br>
			Click Next if you are happy with the groups that are going to be created.<br>
			';
			
			break;
			
		case CONFIGWIZARD_MODE_VALIDATESTAGE2DATA:
			
			// get variables that were passed to us
			$groupargs_serial=grab_array_var($inargs,"groupargs_serial","");
			$groupargs=unserialize(base64_decode($groupargs_serial));
			$newgroup_serial=grab_array_var($inargs,"newgroup_serial","");
			$newgroup=unserialize(base64_decode($newgroup_serial));
			
			//$testing=grab_array_var($inargs,"testing","");
			
			//echo "test start<br><br>";
			//print_r($groupargs);
			//echo "<br><br>";
			//print_r($newgroup);
			//echo "<br><br>";
			//print_r($testing);
			//echo "<br><br>";
			//echo "test end<br><br>";
			
			break;

			
		case CONFIGWIZARD_MODE_GETSTAGE3OPTS:
		
						
			// hide normal/retry check interval options
			$output='
									
			There are no monitoring options required with this Wizard.<br><br><br>
			
			Click Next to continue.';
			$result=CONFIGWIZARD_HIDE_OPTIONS;		
			break;
			
			
		case CONFIGWIZARD_MODE_GETSTAGE3HTML:
		
			// get variables that were passed to us
			$groupargs_serial=grab_array_var($inargs,"groupargs_serial","");
			$groupargs=unserialize(base64_decode($groupargs_serial));
			$newgroup_serial=grab_array_var($inargs,"newgroup_serial","");
			$newgroup=unserialize(base64_decode($newgroup_serial));
			//$testing=grab_array_var($inargs,"testing","");
			
			$output='
			<!--<input type="hidden" name="testing" value="'.$testing.'">-->
			<input type="hidden" name="groupargs_serial" value="'.base64_encode(serialize($groupargs)).'">
			<input type="hidden" name="newgroup_serial" value="'.base64_encode(serialize($newgroup)).'">
			';
				
			break;

				
		case CONFIGWIZARD_MODE_VALIDATESTAGE3DATA:
	
			
			break;
		
		
		case CONFIGWIZARD_MODE_GETSTAGE4OPTS:

			// hide normal/retry check interval options
			$output='
			There are no notification options required with this Wizard.<br><br><br>
			
			Click Next to continue.';
						
			$result=CONFIGWIZARD_HIDE_OPTIONS;
			$outargs[CONFIGWIZARD_HIDDEN_OPTIONS]=array(
				CONFIGWIZARD_HIDE_NOTIFICATION_OPTIONS,
				CONFIGWIZARD_HIDE_NOTIFICATION_DELAY,
				CONFIGWIZARD_HIDE_NOTIFICATION_INTERVAL,
				CONFIGWIZARD_HIDE_NOTIFICATION_TARGETS,
				);
			break;
		
					
			
		case CONFIGWIZARD_MODE_GETFINALSTAGEHTML:
			
			$output='
			Just one more button click.<br><br>
			
			Your groups will be created once the process on the next screen completes.<br><br>
			';
			
			break;
		
		
		case CONFIGWIZARD_MODE_GETOBJECTS:
		
			$groupargs_serial=grab_array_var($inargs,"groupargs_serial","");
			$groupargs=unserialize(base64_decode($groupargs_serial));
			$newgroup_serial=grab_array_var($inargs,"newgroup_serial","");
			$newgroup=unserialize(base64_decode($newgroup_serial));
			//$testing=grab_array_var($inargs,"testing","");
			
			//echo "test start<br><br>";
			//print_r($groupargs);
			//echo "<br><br>";
			//print_r($groupargs[numberoffields]);
			//echo "<br><br>";
			//print_r($newgroup);
			//echo "<br><br>";
			//print_r($testing);
			//echo "<br><br>";
			//echo "test end<br><br>";
			//echo "<br><br>";

			$objs=array();
						
			for($newgroupfinalcounter=$groupargs[enumeratorstart];$newgroupfinalcounter<=$groupargs[enumeratorfinish];$newgroupfinalcounter++){
	
				if (($groupargs[grouptype])=="host") {
						$objs[]=array(
						"type" => OBJECTTYPE_HOSTGROUP,
						"hostgroup_name" => $newgroup[$newgroupfinalcounter],
						"alias" => $newgroup[$newgroupfinalcounter],
							);
					}
				
				if (($groupargs[grouptype])=="service") {
						$objs[]=array(
						"type" => OBJECTTYPE_SERVICEGROUP,
						"servicegroup_name" => $newgroup[$newgroupfinalcounter],
						"alias" => $newgroup[$newgroupfinalcounter],
							);
					}
				
				if (($groupargs[grouptype])=="contact") {
						$objs[]=array(
						"type" => OBJECTTYPE_CONTACTGROUP,
						"contactgroup_name" => $newgroup[$newgroupfinalcounter],
						"alias" => $newgroup[$newgroupfinalcounter],
							);
					}
				}
		
			//echo "<br>";
			//echo "OBJECTS:<BR>";
			//print_r($objs);
			
			// return the object definitions to the wizard
			$outargs[CONFIGWIZARD_NAGIOS_OBJECTS]=$objs;
		
			break;
			
		default:
			break;			
		}
		
	return $output;
	}
	

?>